//--------LICENSE_START--------
//
// Copyright (C) 2020,2021,2022 Institut de Robòtica i Informàtica Industrial, CSIC-UPC.
// Authors: Joan Solà Ortega (jsola@iri.upc.edu)
// All rights reserved.
//
// This file is part of WOLF
// WOLF is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//--------LICENSE_END--------
#ifndef CAPTURE_FORCE_TORQUE_INERTIAL_H
#define CAPTURE_FORCE_TORQUE_INERTIAL_H

#include <core/capture/capture_motion.h>

namespace wolf
{

WOLF_PTR_TYPEDEFS(CaptureForceTorqueInertial);

class CaptureForceTorqueInertial : public CaptureMotion
{
  public:
    CaptureForceTorqueInertial(const TimeStamp&       _init_ts,
                               SensorBasePtr          _sensor_ptr,
                               const Eigen::VectorXd& _data,
                               const Eigen::MatrixXd& _data_cov,
                               CaptureBasePtr         _capture_origin_ptr = nullptr);
    virtual ~CaptureForceTorqueInertial();
};

}  // namespace wolf

#endif  // CAPTURE_FORCE_TORQUE_INERTIAL_H